#include"CVertexBufferD3D9.h"



namespace Maid
{

CVertexBufferD3D9::CVertexBufferD3D9( IDirect3DVertexBuffer9* p )
{
	pBuffer.reset( p );
	pBuffer->GetDesc( &Desc );
	Stride = 0;
}

CVertexBufferD3D9::CVertexBufferD3D9( IDirect3DVertexBuffer9* p, unt str )
{
	pBuffer.reset( p );
	pBuffer->GetDesc( &Desc );
	Stride = str;
}

CVertexBufferD3D9::CVertexBufferD3D9( const SPD3DVERTEXBUFFER& p, unt str )
{
	pBuffer = p;
	pBuffer->GetDesc( &Desc );
	Stride = str;
}


}


